body{
  margin:0;
  height:100vh;
  overflow:hidden;
  background-color: #3b2412;
}

.scene{
  position:relative;
  width:100vw;
  height:100vh;
  cursor:pointer;

  background-size: cover;
  background-position: center;
  background-repeat: no-repeat;

  overflow: hidden;
  cursor: pointer;
  z-index: 1;
}

.hole{
  position:absolute;
  width: 150px;
  height: 150px;
  background: radial-gradient(circle, black 40%, transparent 70%);
  border-radius: 50%;
  z-index: 10;

  border-radius:50%;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);

  background:
  radial-gradient(circle at center,
  #2f1d0f 0%,
  #5a3b1c 40%,
  #3b2412 70%,
  rgba(0,0,0,0.9) 100%);

  transition:all 2.5s ease;

  overflow:hidden;
  z-index:3;

  box-shadow:
  inset 0 25px 40px rgba(0,0,0,0.8),
  0 15px 30px rgba(0,0,0,0.4);
  
  display: flex;
  align-items: center;
  justify-content: center;
}

.person {
  position: absolute;
  top: 20%; 
  left: 50%;
  width: 80px;
  height: 80px;
  transform: translate(-50%, -50%) rotate(0deg) scale(1);
  transition: all 1.2s cubic-bezier(0.7, 0, 1, 1);
  z-index: 10;
  pointer-events: none;
}

.head {
  position: absolute;
  top: 50%;
  left: 50%;
  width: 45px;
  height: 45px;
  background: #ffd6c9;
  border-radius: 50%;
  transform: translate(-50%, -50%);
  box-shadow: inset 0 2px 5px rgba(0,0,0,0.2);
  z-index: 5;
}

.torso {
  position: absolute;
  top: 50%;
  left: 50%;
  width: 70px;
  height: 35px;
  background: #2b2b2b;
  border-radius: 15px;
  transform: translate(-50%, -50%);
  z-index: 4;
}

.arm {
  position: absolute;
  top: 50%;
  width: 20px;
  height: 30px;
  background: #2b2b2b;
  border-radius: 10px;
  transform: translateY(-50%);
  z-index: 3;
}

.arm.left { left: -5px; }
.arm.right { right: -5px; }

.leg {
  position: absolute;
  bottom: 10px;
  width: 15px;
  height: 15px;
  background: #ffd6c9;
  border-radius: 50%;
  z-index: 2;
}

.leg.left { left: 25%; }
.leg.right { right: 25%; }

.hole:hover ~ .person {
  top: 50% !important;
  left: 50% !important;
  transform: translate(-50%, -50%) rotate(720deg) scale(0) !important;
  opacity: 0 !important;
}

.hole .ocean{
  position:absolute;
  width:100%;
  height:100%;

  background-image:url("content/photo-1507525428034-b723cf961d3e.avif");
  background-size:cover;
  background-position:center;

  transform:scale(0.05);
  opacity:0;

  transition:all 10s ease 0.6s;
}

.hole:hover {
  width: 260vw;
  height: 260vw;
  bottom: -130vw;
}

.hole:hover .ocean {
  transform: scale(10);
  opacity: 1;
}
